openSUSE Security Update : libopenssl-devel (openSUSE-SU-2010:0951-1)

This script is Copyright (C) 2011-2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

Specially crafted responses from SSL servers could cause a double-free
bug in openssl's client implementation. Malicious servers could
exploit that to crash programs use openssl for the SSL connection
(CVE-2010-2939).

See also :

http://lists.opensuse.org/opensuse-updates/2010-11/msg00022.html
https://bugzilla.novell.com/show_bug.cgi?id=629905

Solution :

Update the affected libopenssl-devel packages.

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 53749 ()

Bugtraq ID:

CVE ID: CVE-2010-2939

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now